zenilib: zenilib/jni/external/freetype2/include/freetype/fttrigon.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
fttrigon.h File Reference
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Macros

#define | FT_ANGLE_2PI ( FT_ANGLE_PI * 2 )
#define | FT_ANGLE_PI ( 180L << 16 )
#define | FT_ANGLE_PI2 ( FT_ANGLE_PI / 2 )
#define | FT_ANGLE_PI4 ( FT_ANGLE_PI / 4 )

## Functions

| FT_Angle_Diff (FT_Angle angle1, FT_Angle angle2)
| FT_Atan2 (FT_Fixed x, FT_Fixed y)
| FT_Cos (FT_Angle angle)
| FT_Sin (FT_Angle angle)
| FT_Tan (FT_Angle angle)
| FT_Vector_From_Polar (FT_Vector *vec, FT_Fixed length, FT_Angle angle)
| FT_Vector_Length (FT_Vector *vec)
| FT_Vector_Polarize (FT_Vector *vec, FT_Fixed *length, FT_Angle *angle)
| FT_Vector_Rotate (FT_Vector *vec, FT_Angle angle)
| FT_Vector_Unit (FT_Vector *vec, FT_Angle angle)

## Variables

FT_BEGIN_HEADER typedef FT_Fixed | FT_Angle

## Macro Definition Documentation

#define FT_ANGLE_2PI ( FT_ANGLE_PI * 2 )

Definition at line 76 of file fttrigon.h.

Referenced by FT_Angle_Diff(), test_atan2(), test_cos(), test_length(), test_rotate(), test_sin(), and test_unit().

#define FT_ANGLE_PI ( 180L << 16 )

Definition at line 64 of file fttrigon.h.

Referenced by FT_Angle_Diff(), ft_stroker_arcto(), ft_stroker_cap(), FT_Stroker_ConicTo(), FT_Stroker_CubicTo(), FT_Stroker_EndSubPath(), ft_stroker_outside(), and ft_trig_pseudo_rotate().

#define FT_ANGLE_PI2 ( FT_ANGLE_PI / 2 )

Definition at line 88 of file fttrigon.h.

Referenced by FT_Outline_Embolden(), FT_Sin(), ft_stroke_border_arcto(), FT_Stroker_LineTo(), ft_stroker_subpath_start(), ft_trig_pseudo_polarize(), ft_trig_pseudo_rotate(), and test_tan().

#define FT_ANGLE_PI4 ( FT_ANGLE_PI / 4 )

Definition at line 100 of file fttrigon.h.

## Function Documentation

FT_Angle_Diff | ( | FT_Angle | angle1,
|  | FT_Angle | angle2
| ) |  |

Definition at line 529 of file fttrigon.c.

References FT_Angle, FT_ANGLE_2PI, and FT_ANGLE_PI.

Referenced by ft_angle_mean(), ft_conic_is_small_enough(), ft_cubic_is_small_enough(), FT_Outline_Embolden(), ft_stroker_arcto(), FT_Stroker_ConicTo(), FT_Stroker_CubicTo(), FT_Stroker_EndSubPath(), ft_stroker_inside(), ft_stroker_outside(), and ft_stroker_process_corner().

FT_Atan2 | ( | FT_Fixed | x,
|  | FT_Fixed | y
| ) |  |

Definition at line 374 of file fttrigon.c.

References ft_trig_prenorm(), ft_trig_pseudo_polarize(), FT_Vector_::x, and FT_Vector_::y.

Referenced by ft_conic_is_small_enough(), ft_cubic_is_small_enough(), FT_Outline_Embolden(), FT_Stroker_ConicTo(), FT_Stroker_CubicTo(), FT_Stroker_LineTo(), and test_atan2().

FT_Cos | ( | FT_Angle | angle | ) |

Definition at line 333 of file fttrigon.c.

References FT_TRIG_COSCALE, ft_trig_pseudo_rotate(), FT_Vector_::x, and FT_Vector_::y.

Referenced by FT_Outline_Embolden(), FT_Sin(), ft_stroke_border_arcto(), FT_Stroker_ConicTo(), FT_Stroker_CubicTo(), ft_stroker_inside(), ft_stroker_outside(), and test_cos().

FT_Sin | ( | FT_Angle | angle | ) |

Definition at line 349 of file fttrigon.c.

References FT_ANGLE_PI2, and FT_Cos().

Referenced by ft_stroke_border_arcto(), FT_Stroker_ConicTo(), FT_Stroker_CubicTo(), ft_stroker_outside(), and test_sin().

FT_Tan | ( | FT_Angle | angle | ) |

Definition at line 358 of file fttrigon.c.

References FT_DivFix(), FT_TRIG_COSCALE, ft_trig_pseudo_rotate(), FT_Vector_::x, and FT_Vector_::y.

Referenced by ft_stroker_inside(), and test_tan().

FT_Vector_From_Polar | ( | FT_Vector * | vec,
|  | FT_Fixed | length,
|  | FT_Angle | angle
| ) |  |

Definition at line 515 of file fttrigon.c.

References FT_Vector_Rotate().

Referenced by FT_Outline_Embolden(), ft_stroke_border_arcto(), ft_stroker_cap(), FT_Stroker_ConicTo(), FT_Stroker_CubicTo(), ft_stroker_inside(), FT_Stroker_LineTo(), ft_stroker_outside(), and ft_stroker_subpath_start().

FT_Vector_Length | ( | FT_Vector * | vec | ) |

Definition at line 455 of file fttrigon.c.

References ft_trig_downscale(), ft_trig_prenorm(), ft_trig_pseudo_polarize(), vec, FT_Vector_::x, and FT_Vector_::y.

Referenced by FT_Stroker_ConicTo(), FT_Stroker_CubicTo(), FT_Stroker_LineTo(), and test_length().

FT_Vector_Polarize | ( | FT_Vector * | vec,
|  | FT_Fixed * | length,
|  | FT_Angle * | angle
| ) |  |

Definition at line 489 of file fttrigon.c.

References ft_trig_downscale(), ft_trig_prenorm(), ft_trig_pseudo_polarize(), vec, FT_Vector_::x, and FT_Vector_::y.

FT_Vector_Rotate | ( | FT_Vector * | vec,
|  | FT_Angle | angle
| ) |  |

Definition at line 417 of file fttrigon.c.

References FT_SIGN_LONG, ft_trig_downscale(), ft_trig_prenorm(), ft_trig_pseudo_rotate(), half, FT_Vector_::x, and FT_Vector_::y.

Referenced by FT_Vector_From_Polar(), and test_rotate().

FT_Vector_Unit | ( | FT_Vector * | vec,
|  | FT_Angle | angle
| ) |  |

Definition at line 395 of file fttrigon.c.

References FT_TRIG_COSCALE, and ft_trig_pseudo_rotate().

Referenced by test_unit().

## Variable Documentation

FT_BEGIN_HEADER typedef FT_Fixed FT_Angle

Definition at line 52 of file fttrigon.h.

Referenced by FT_Angle_Diff(), ft_conic_is_small_enough(), ft_cubic_is_small_enough(), FT_Outline_Embolden(), ft_stroke_border_arcto(), ft_stroker_arcto(), ft_stroker_cap(), FT_Stroker_ConicTo(), FT_Stroker_CubicTo(), FT_Stroker_EndSubPath(), ft_stroker_inside(), FT_Stroker_LineTo(), ft_stroker_outside(), and ft_stroker_process_corner().